// operating terminal

#ifdef __MSDOS__
#include <conio.h>
#else
#include <curses.h>
#endif

class SplitTerm
{ public:
   SplitTerm(); ~SplitTerm();
   int Preset(int TxLines=0);
   void Close(void);
   int UserInp(int &key);
   void RxOut(char ch);
   void RxStr(char *str);
   void TxOut(char ch);
   void Status(int Stat, char *Str);
   inline void RxStatUpp(char *Str) { Status(0,Str); }
   inline void RxStatLow(char *Str) { Status(1,Str); }
   inline void TxStatUpp(char *Str) { Status(2,Str); }
   inline void TxStatLow(char *Str) { Status(3,Str); }

  private:
   int Init;
   int Width,Height;

   int RxPos, RxLen;
   int RxCurX, RxCurY, RxAct;

   int TxPos, TxLen;
   int TxCurX, TxCurY, TxAct;

   int StatPos[4];

   void ChOut(char ch);
} ;
